List hosted background packs
Returns grouped background packs with counts and cover thumbnails.
GET
/v1/backgrounds/packs
Returns grouped background packs with counts and cover thumbnails.
Query Parameters
group
string
optional
query
Comma-separated asset groups.
type
string
optional
query
Comma-separated asset types.
theme
string
optional
query
q
string
optional
query
Search name, pack, and tags.
Responses
200
Background packs
application/jsonpacks
object[]
REQUIRED
Array of:
group
string | null
pack
string | null
theme
string | null
count
integer
cover_url
string (uri) | null
thumbnail_url
string (uri) | null
401
Error response
403
Error response
curl -X GET 'https://screenframed.com/v1/backgrounds/packs' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://screenframed.com/v1/backgrounds/packs', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://screenframed.com/v1/backgrounds/packs', headers=headers)print(response.json())
200
Response
{ "packs": [ { "group": "<string>", "pack": "<string>", "theme": "<string>", "count": 123, "cover_url": "<uri>", "thumbnail_url": "<uri>" } ]}
API Playground
Try this endpoint
GET
/v1/backgrounds/packs